Replication Protected Items - Delete

Disables protection.
The operation to disable replication on a replication protected item. This will also remove the item.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{resourceName}/replicationFabrics/{fabricName}/replicationProtectionContainers/{protectionContainerName}/replicationProtectedItems/{replicatedProtectedItemName}/remove?api-version=2026-05-01

URI Parameters

Name In Required Type Description
fabricName
path True

string

Fabric name.

protectionContainerName
path True

string

Protection container name.

replicatedProtectedItemName
path True

string

Replication protected item name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

resourceName
path True

string

The name of the Vault

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties True

DisableProtectionInputProperties

Disable protection input properties.

Responses

Name Type Description
202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
204 No Content

There is no content to send for this request, but the headers may be useful.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Disables protection.

Sample request

POST https://management.azure.com/subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationFabrics/cloud1/replicationProtectionContainers/cloud_6d224fc6-f326-5d35-96de-fbf51efb3179/replicationProtectedItems/c0c14913-3d7a-48ea-9531-cc99e0e686e6/remove?api-version=2026-05-01

{
  "properties": {
    "replicationProviderInput": {
      "instanceType": "DisableProtectionProviderSpecificInput"
    }
  }
}

Sample response

Azure-AsyncOperation: https://management.azure.com/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationOperationStatus/a93f3cd5-9035-4b1e-a2c9-b16df6d5d34b?api-version=2026-05-01
Retry-After: 30
Azure-AsyncOperation: https://management.azure.com/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationOperationStatus/a93f3cd5-9035-4b1e-a2c9-b16df6d5d34b?api-version=2026-05-01

Definitions

Name Description
DisableProtectionInput

Disable protection input.

DisableProtectionInputProperties

Disable protection input properties.

DisableProtectionReason

Disable protection reason. It can have values NotSpecified/MigrationComplete.

InMageDisableProtectionProviderSpecificInput

InMage disable protection provider specific input.

DisableProtectionInput

Disable protection input.

Name Type Description
properties

DisableProtectionInputProperties

Disable protection input properties.

DisableProtectionInputProperties

Disable protection input properties.

Name Type Description
disableProtectionReason

DisableProtectionReason

Disable protection reason. It can have values NotSpecified/MigrationComplete.

replicationProviderInput DisableProtectionProviderSpecificInput:

InMageDisableProtectionProviderSpecificInput

Replication provider specific input.

DisableProtectionReason

Disable protection reason. It can have values NotSpecified/MigrationComplete.

Value Description
NotSpecified

NotSpecified

MigrationComplete

MigrationComplete

InMageDisableProtectionProviderSpecificInput

InMage disable protection provider specific input.

Name Type Description
instanceType string:

InMage

The class type.

replicaVmDeletionStatus

string

A value indicating whether the replica VM should be destroyed or retained. Values from Delete and Retain.